<?
///////-=*=-=*=-=*=-=*=-=*=-=*=-=*=-=*=-=*=-///////
/// Cкрипт был скачен с http://script-planet.ru ///
///   Я всего лиш оптимезировал его под чат     ///
///      Только ненадо обижатся что убоал       ///
///         все ваши ссылки и каперайты         ///
///    Адрес моего чата http://tania.h2m.ru     ///
///             МЫЛО:SieFM@Rambler.ru           ///
///////-=*=-=*=-=*=-=*=-=*=-=*=-=*=-=*=-=*=-///////
require( "../inc/conf.inc.php" );
require( "../inc/check.php" );
echo "<title>{$cname}</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol}; text-align: center }";
echo "a:link,a:visited { text-decoration: none; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";

echo "<div>Письмо деду марозу</div></a></br>";

print "
<div class=\"1\"><img src=\"logo.gif\" alt=\"\"/><br/>$up<b>$site</b><br/></div>";

include "time/include.php"; // выводим время и сколько осталось до нов. Года!

if($action=="index"){echo"<div>Будет интересно!</div>";}
if($action=="write"){
echo'<form action=?action=add&id='.$id.'&amp;pass='.$pass.' method=post><table>
<tr><td>Как тебя зовут?</td><td><input name=name></td></tr>
<tr><td>Сколько тебе лет?</td><td><input name=a1></td></tr>
<tr><td>Во сколько ты ложишься спать?</td><td><input name=a2></td></tr>
<tr><td>Что чаще всего ломается?</td><td><input name=a3></td></tr>
<tr><td>Мухи любят садится на:</td><td><input name=a4></td></tr>
<tr><td>Любая фраза:</td><td><input name=a5></td></tr>
<tr><td>Как бы ты назвал человека который предал тебя?</td><td><input name=a6></td></tr>
<tr><td>Какое ты знаешь ругательство? Ругниська!</td><td><input name=a7></td></tr>
<tr><td>Люблю смотреть на: (часть тела)</td><td><input name=a8></td></tr>
<tr><td>Он красный! Это:</td><td><input name=a9></td></tr>
<tr><td>Профессия</td><td><input name=a10></td></tr>
<tr><td>Любимая детская игра:</td><td><input name=a11></td></tr>
<tr><td>Что будет с собакой, если её скинуть с 9-го этажа?</td><td><input name=a12></td></tr>
<tr><td>Как ты себя чувствуешь после пьянки?</td><td><input name=a13></td></tr>
<tr><td>Хочу новую:</td><td><input name=a14></td></tr>
<tr><td>Бытовой предмет:</td><td><input name=a15></td></tr>
<tr><td>Чего тебе хочется сейчас?</td><td><input name=a16></td></tr>
<tr><td>Меня не найдут в:</td><td><input name=a17></td></tr>
<tr><td>Как зовут твою собаку? Если её нет, то как бы ты её назвал?</td><td><input name=a18></td></tr>
<tr><td>Нехороший человек:</td><td><input name=a19></td></tr>
<tr><td><input type=submit></td></tr></table></form>
';
}

if($action=="add"){
$text='Здравствуй, Дедушка Мороз! Меня зовут  '.$name.'!<br>и мне  '.$a1.' лет! Не много не мало, но я верю и надеюсь в то, что ты есть, и сейчас читаешь моё письмо. Моя мама очень злая тётя. Она не разрешает мне писать письма тебе, и поэтому я сижу в '.$a17.' и пишу это письмо. Мама выпускает меня гулять лишь до '.$a2.'. Когда я её не слушаюсь, она бросает в меня '.$a15.' и частенько попадает мне прямо в '.$a8.' =( Однажы я не вытерпел и сказал ей: '.$a5.'! Мой папа '.$a10.' и приходя с работы с плохим настроением, он кричит: '.$a7.'. И заставляет меня чинить его '.$a3.'. Но я не умею ни чего ремонтировать, и поэтому у меня получается '.$a4.'. Он злится еще сильнее, и запрещает мне играть в '.$a11.' с друзьями. Еще папа придумал мне кличку, и зовет меня не '.$name.', а '.$a18.'! Это очень обидно. В общем, дедушка мороз, если ты не '.$a19.', то ты поймешь как мне '.$a13.'. Дорогой, Дедушка Мороз-красный '.$a9.' забери меня к себе или вышли мне '.$a16.'. Еще сделай так, чтобы близкие мне люди любили меня и почаще давали мне денег на '.$a14.'. Любимый Дед Мороз, ты мой последний шанс. Я надеюсь на новый год я найду под елочкой '.$a15.'. Дед Мороз, пойми как мне '.$a13.'. Если ты не прочтешь это письмо или оно не дойдет до тебя, то мне '.$a13.'. Помни что я верю в тебя!!!  С уважением, '.$name.'';
echo"<center><table width=50%><tr><td>$text</td></tr></table></center>";

}

if($action=="see&"){
$file=file("base.dat");
$rand=rand(0,count($file)-1);
$text=$file[$rand];
echo"<center><table width=50%><tr><td>$text</td></tr></table></center>";

}
echo'<div><a href=?action=write&id='.$id.'&amp;pass='.$pass.'>Написать письмо!</a>';
echo "<br/>\r\n-=*=-<br/>";
echo "<a href=\"../enter.php?id={$id}&amp;pass={$pass}\">Прихожая</a><br/></div>";
?>